Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Trying to install Oozie via Ambari, getting error "The 'oozie-server' component did not advertise a version. This may indicate a problem with the component packaging."

Highlighted

Trying to install Oozie via Ambari, getting error "The 'oozie-server' component did not advertise a version. This may indicate a problem with the component packaging."

Contributor

Attempting to setup an HDP cluster from Ambari for testing / evaluation and getting an error when trying to install and setup the services from the installation process

109886-1563575810993.png

Looking at the logs for the orange colored services, all are blank except for oozie which shows

2019-07-19 12:11:30,961 - The 'oozie-server' component did not advertise a version. This may indicate a problem with the component packaging. However, the stack-select tool was able to report a single version installed (3.1.0.0-78). This is the version that will be reported.
2019-07-19 12:11:30,932 - call[('ambari-python-wrap', u'/usr/bin/hdp-select', 'versions')] {} 2019-07-19 12:11:30,961 - call returned (0, '3.1.0.0-78') 2019-07-19 12:11:30,961 - The 'oozie-server' component did not advertise a version. This may indicate a problem with the component packaging. However, the stack-select tool was able to report a single version installed (3.1.0.0-78). This is the version that will be reported. 2019-07-19 12:11:31,261 - Package['zip'] {'retry_on_repo_unavailability': False, 'retry_count': 5} 2019-07-19 12:11:31,353 - Installing package zip ('/usr/bin/yum -y install zip') 2019-07-19 12:11:33,913 - Command repositories: HDP-3.1-repo-1, HDP-3.1-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1 2019-07-19 12:11:33,913 - Applicable repositories: HDP-3.1-repo-1, HDP-3.1-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1 2019-07-19 12:11:33,913 - Looking for matching packages in the following repositories: HDP-3.1-repo-1, HDP-3.1-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1 2019-07-19 12:11:40,810 - Package['oozie_3_1_0_0_78'] {'retry_on_repo_unavailability': False, 'retry_count': 5} 2019-07-19 12:11:40,821 - Installing package oozie_3_1_0_0_78 ('/usr/bin/yum -y install oozie_3_1_0_0_78')

Not sure what could be going wrong here, since I have created an oozie mysql DB as per the installation instructions and testing the connection in the Ambari UI during the service configuration step passed successfully. Can anyone suggest any debugging advice or fixes?